# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.64.0"
name = "sis-login"
version = "0.2.8"
authors = [
    "Anas Elgarhy <anas.elgarhy.dev@gmail.com>",
    "Eslam Muhammad <0xCrypt00o@protonmail.com>",
]
exclude = [
    "tests/*",
    "examples/*",
]
include = [
    "src/*",
    "Cargo.toml",
    "README.md",
    "LICENSE",
    "LICENSE-apache",
]
description = "A simple crate to login to SIS system and get the moodle session link without the need to open the browser"
homepage = "https://github.com/0x61nas/eelu-login/tree/main/sis-login"
documentation = "https://docs.rs/sis-login"
readme = "README.md"
keywords = [
    "sis",
    "moodle",
    "eelu-sis",
    "eelu-sis-login",
    "eelu-sis-moodle",
]
categories = [
    "api-bindings",
    "authentication",
    "web-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/0x61nas/eelu-login"

[dependencies.log]
version = "0.4"
optional = true

[dependencies.reqwest]
version = "0.11"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.rustls]
version = "0.21"
default-features = false

[dependencies.serde]
version = "1"
features = ["serde_derive"]
default-features = false

[dependencies.tokio]
version = "1"
features = ["full"]
default-features = false

[features]
debug = ["log"]
